Diagnose Service
curl --request GET \
--url http://127.0.0.1:9321/api/services/{ident}/diagnoseimport requests
url = "http://127.0.0.1:9321/api/services/{ident}/diagnose"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('http://127.0.0.1:9321/api/services/{ident}/diagnose', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"service_name": "<string>",
"kind": "batch",
"status": "pending",
"error": {
"class": "<string>",
"message": "<string>"
},
"forensics": {
"last_exit_code": 123,
"oom_killed": false,
"gpu_oom": false,
"priv_denied": false,
"last_crash_at": "<string>"
},
"restarts": {
"max_restarts": 123,
"window_seconds": 123,
"policy": "<string>",
"count": 0,
"window_start": "2023-11-07T05:31:56Z",
"last_exit_at": "2023-11-07T05:31:56Z",
"backoff_s": 123,
"next_retry_in_s": 123
},
"health": {
"spec": {},
"probe": {},
"observations": [
"<string>"
]
},
"bindings": {
"waiting": false,
"messages": [
"<string>"
]
},
"build": {
"last_result": "<string>",
"version": 123,
"reason": "<string>"
},
"injected_env_keys_source": "<string>",
"remediation": {
"code": "<string>",
"detail": "<string>"
},
"desired_state": "<string>",
"last_deploy": {},
"last_run": {},
"last_dump": {},
"injected_env_keys": [
"<string>"
],
"pending_env_keys": [
"<string>"
],
"logs": [
{}
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Services
Diagnose Service
Reference for merged 0.6.0 source. The latest verified binary release is 0.5.5; use your Engine’s /api/openapi.json for its installed contract.
Diagnose Service
Path Parameters
Query Parameters
Response
HTTP 200 response
Available options:
batch, service, model, database Available options:
pending, scheduled, running, paused, completed, failed, cancelled, retrying, building, degraded, restarting, stopped Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes